This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 481689 - kmod-cmirror package module uses symbols not on kabi-whitelist
kmod-cmirror package module uses symbols not on kabi-whitelist
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror-kmod (Show other bugs)
5.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Chris Feist
Cluster QE
: Reopened
Depends On: 500745
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 21:59 EST by Gary Case
Modified: 2016-04-26 10:47 EDT (History)
6 users (show)

See Also:
Fixed In Version: cmirror-kmod-0.1.21-14.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:30:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Case 2009-01-26 21:59:02 EST
The dm-log-clustered.ko file inside the kmod-cmirror(-xen) package uses unapproved symbols not on the kabi whitelist: 

cn_add_callback
cn_del_callback
cn_netlink_send
dm_dirty_log_type_register
dm_dirty_log_type_unregister

Strangely enough, these modules pass the online verification at http://www.kerneldrivers.org/abi_check.php. Does that site use an updated version of the kabi_whitelist file? The local python version of the test which reads from the local kabi_whitelist file fails.

Version-Release number of selected component (if applicable):
RHEL5.3 2.6.18-128 xen and bare metal kernel with the modules from
kmod-cmirror-0.1.21-10.el5.x86_64.rpm 
kmod-cmirror-xen-0.1.21-10.el5.x86_64.rpm

How reproducible:
Every time.

Steps to Reproduce:
1. Install RHEL 5.3 with Clustering and Cluster Storage package groups
2. Check the dm-log-clustered.ko file using the local kabi check python script from kerneldrivers.org or run the Red Hat Hardware Certification Suite on the system and check the INFO test output.

Actual results:
Non-whitelisted symbols used.

Expected results:
Whitelisted symbols used in software that we ship.

Additional info:
I only checked this for the x86_64 kernel, others may differ.
Comment 3 Chris Feist 2009-05-21 11:23:43 EDT
cmirror-kmod has been rebuilt against the -150.el5 kernel.

cmirror-kmod-0.1.21-14.el5
Comment 5 Chris Ward 2009-07-03 14:21:53 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 6 Chris Feist 2009-07-14 14:24:38 EDT
After talking to Jon Masters, it isn't possible for us to use the kernel signing key to build these modules.  So unfortunately, any module that is built outside of the kernel will cause a taint with a value of '64'.
Comment 17 errata-xmlrpc 2009-09-02 07:30:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1367.html

Note You need to log in before you can comment on or make changes to this bug.